Description

For min polys it might be possible to work with a sub-ideal in a subring. For example,

use QQ[x,y,z,t];

I := ideal(x^2-2, y^3-3, z^5-5);

f := x+y;

MinPolyQuot(f,I,x);

 

In the call to MinPolyQuot we could work in the subring QQ[x,y] with the ideal I2 := ideal(x^2-2, y^3-3).

One way to do this would be to build a graph: for each indet there is a node, and

there is an edge between two "indets" if they both appear in some generator of I (or if we have a reduced GBasis, then we use the

GBasis elements instead of the gens). The "active" indets are then those in the connected component of the graph corresponding to

the indets in the polynomial f. In the above example we see that

only x and y are "active": so we can work with only those gens which involve

just x and/or y, and ignore all the other gens.

Mathemetically we could also work with an elimination ideal, but computing it might be too costly... but perhaps the elim ideal is trivial

in the case that the graph described above is conveniently disconnected.

Related issues:

Related to CoCoALib - Feature #1103: Pseudo-zero-dim ideals In Progress 19 Sep 2017

History

#1 - 06 Mar 2019 15:10 - Anna Maria Bigatti

- Related to Feature #1103: Pseudo-zero-dim ideals added

#2 - 09 Jan 2020 13:15 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#3 - 05 Nov 2021 16:05 - John Abbott

- Assignee set to Anna Maria Bigatti

Anna will try do this; perhaps this is a helpful prototype for issue #1103.

A very simple approach here would be to add the unused indets as new generators then apply standard 0-dim method.

A smarter approach might map to a new ring with the right number of indets, and then map the result back.

#4 - 28 Jan 2022 13:06 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850
https://cocoa.dima.unige.it/redmine/issues/1103


#5 - 07 Mar 2024 20:25 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
